package studio.halbear.hem.procedures;

import studio.halbear.hem.particle.RobotDamageParticle;
import studio.halbear.hem.HemMod;

import net.minecraft.world.IWorld;

import java.util.Map;

public class EmberleafMilitaryBotEntityIsHurtProcedure {

	public static void executeProcedure(Map<String, Object> dependencies) {
		if (dependencies.get("world") == null) {
			if (!dependencies.containsKey("world"))
				HemMod.LOGGER.warn("Failed to load dependency world for procedure EmberleafMilitaryBotEntityIsHurt!");
			return;
		}
		if (dependencies.get("x") == null) {
			if (!dependencies.containsKey("x"))
				HemMod.LOGGER.warn("Failed to load dependency x for procedure EmberleafMilitaryBotEntityIsHurt!");
			return;
		}
		if (dependencies.get("y") == null) {
			if (!dependencies.containsKey("y"))
				HemMod.LOGGER.warn("Failed to load dependency y for procedure EmberleafMilitaryBotEntityIsHurt!");
			return;
		}
		if (dependencies.get("z") == null) {
			if (!dependencies.containsKey("z"))
				HemMod.LOGGER.warn("Failed to load dependency z for procedure EmberleafMilitaryBotEntityIsHurt!");
			return;
		}
		IWorld world = (IWorld) dependencies.get("world");
		double x = dependencies.get("x") instanceof Integer ? (int) dependencies.get("x") : (double) dependencies.get("x");
		double y = dependencies.get("y") instanceof Integer ? (int) dependencies.get("y") : (double) dependencies.get("y");
		double z = dependencies.get("z") instanceof Integer ? (int) dependencies.get("z") : (double) dependencies.get("z");
		for (int index0 = 0; index0 < (int) (10); index0++) {
			world.addParticle(RobotDamageParticle.particle, x, (y + 1 + Math.random()), z, (-0.5 + 1 * Math.random()), (0.3 + 1 * Math.random()),
					(-0.5 + 1 * Math.random()));
		}
	}
}
